---
references:
- id: FischerAutomatic2018
  accessed:
    - year: 2018
      month: 11
      day: 6
  author:
    - family: Fischer
      given: Keno
    - family: Saba
      given: Elliot
  citation-key: FischerAutomatic2018
  container-title: arXiv:1810.09868 [cs, stat]
  issued:
    - year: 2018
      month: 10
      day: 23
  title: Automatic Full Compilation of Julia Programs and ML Models to Cloud TPUs
  type: article-journal
  URL: http://arxiv.org/abs/1810.09868

- id: McNicholasData2019
  archive: Calibre
  author:
    - family: McNicholas
      given: Paul D
    - family: Tait
      given: Peter
  citation-key: McNicholasData2019
  ISBN: 978-1-138-49998-0
  issued:
    - year: 2019
      month: 1
      day: 11
  language: eng
  publisher: CRC Press
  title: Data Science With Julia
  type: book

- id: MogensenOptim2018
  accessed:
    - year: 2020
      month: 7
      day: 6
  author:
    - family: Mogensen
      given: Patrick K.
    - family: Riseth
      given: Asbjørn N.
  citation-key: MogensenOptim2018
  container-title: Journal of Open Source Software
  DOI: 10.21105/joss.00615
  ISSN: 2475-9066
  issue: '24'
  issued:
    - year: 2018
      month: 4
      day: 5
  language: en
  number: '24'
  page: '615'
  title: 'Optim: A mathematical optimization package for Julia'
  type: article-journal
  volume: '3'

- id: RackauckasEssential2019
  accessed:
    - year: 2019
      month: 8
      day: 27
  author:
    - family: Rackauckas
      given: Christopher
  citation-key: RackauckasEssential2019
  DOI: 10.15200/winn.156631.13064
  issued:
    - year: 2019
      month: 8
      day: 20
  language: en
  title: The Essential Tools of Scientific Machine Learning (Scientific ML)
  type: article
  URL: https://authorea.com/doi/full/10.15200/winn.156631.13064

- id: XuADCME2020
  accessed:
    - year: 2020
      month: 12
      day: 13
  author:
    - family: Xu
      given: Kailai
    - family: Darve
      given: Eric
  citation-key: XuADCME2020
  container-title: arXiv:2011.11955 [cs, math]
  issued:
    - year: 2020
      month: 11
      day: 24
  title: 'ADCME: Learning Spatially-varying Physical Fields using Deep Neural Networks'
  type: paper-conference
  URL: http://arxiv.org/abs/2011.11955
...
